#pragma once
#include <Imagine/Graphics.h>
using namespace Imagine;

struct Point {
    float x,y,z;
};

struct TriangleFace {
    int index[3];
    Color c;    
};

struct Polyedre {
    int nSommets;
    int nTriangles;
    Point* sommets;
    TriangleFace* triangles;
    Point centre;
};

Point operator+(Point a, Point b);
Point operator-(Point a, Point b);
Point operator*(Point a, float f);

Point randomVect();

Polyedre tetraedre(int w, int h, int rmax);
Polyedre octaedre(int w, int h, int rmax);
void detruit(Polyedre p);
void tourne(Polyedre& p, Point vec);
